#include "MMA7455.h"


void MMA_WR_Byte(uchar data)
{
  uchar i;
  CLR_MMA_SCL;
  for(i=0;i<8;i++)
  {
    if(data&0x80)
    {
      SET_MMA_SDA;
    }
    else
    {
      CLR_MMA_SDA;
    }
    SET_MMA_SCL;
    data <<= 1;
    CLR_MMA_SCL;
  }
}

uchar MMA_RD_Byte()
{
  uchar data,i;
  CLR_MMA_SCL;
  for(i=0;i<8;i++)
  {
    data <<= 1;
    SET_MMA_SCL;
    if(RD_MMA_SDO)
    {
      data |= 0x01;
    }
    CLR_MMA_SCL;
  }
  return data;
}

uchar MMA_RD_Data(uchar cmd)
{
  uchar data;
  cmd &= 0x3f;
  CLR_MMA_CS;
  MMA_WR_Byte((cmd<<1));
  data = MMA_RD_Byte();
  SET_MMA_CS;
  return data;
}

void MMA_WR_Data(uchar cmd,uchar data)
{
  cmd &= 0x3f;
  CLR_MMA_CS;
  MMA_WR_Byte((cmd<<1)+0x80);
  MMA_WR_Byte(data);
  SET_MMA_CS;
}

void MMA7455_Init()
{
  MMA_COM_INIT;
  MMA_SDO_INPUT;
  SET_MMA_CS;
  CLR_MMA_SCL;
}


